Delete Vulnerability
DELETEhttps://api.confident-ai.com/v2/vulnerabilities/{vulnerabilityId}
Permanently deletes a vulnerability your project defined, along with its types. A vulnerability Confident AI ships that this project has never customised has nothing to delete, and is rejected.
curl -X DELETE "https://api.confident-ai.com/v2/vulnerabilities/{vulnerabilityId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "<VULNERABILITY-ID>"
},
"link": "https://app.confident-ai.com/project/<PROJECT-ID>/threats/vulnerabilities",
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
vulnerabilityIdstringRequiredThe id of the vulnerability, as the list returns it. A built-in's catalog name also resolves.
Response
Delete Vulnerability succeeded.
successbooleanIndicates if the request was successful.
dataobjectA reference to a vulnerability by its id.
Show 1 propertyHide 1 property
idstringThe id of the vulnerability, generated by Confident AI.
linkstringThis is the URL of the resource on the Confident AI platform.
deprecatedbooleanIndicates if this endpoint is deprecated.